Page MenuHomePhabricator

Category view shows no articles in the mobile app
Closed, DuplicatePublic

Description

Category:Women_physicists

When accessing this page in the mobile app, the page only shows the category description but no articles: https://en.wikipedia.org/wiki/Category:Women_physicists

According to Yuvipanda on IRC, this issue repeats with action=mobileview


Version: Stable
Severity: normal
Attached:


See also: T24660: [Epic] Display the categories on the mobile site for everyone

Details

Reference
bz69984

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:40 AM
bzimport set Reference to bz69984.
bzimport added a subscriber: Unknown Object (MLST).
Mooeypoo created this task.Aug 25 2014, 5:47 PM

This is because of CategoryTree extension (most probably) not doing much on mobile, as seen from the HTML structure in:

https://en.wikipedia.org/wiki/Special:ApiSandbox#action=mobileview&format=json&page=Category%3APeople&sections=all

So unsure if the problem is in MobileFrontend or CategoryTree.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/P3SkvWT6

Eh, how is CategoryTree related to this? IMO, the app should just use the API to get category listings the same way it does not rely on mobileview for search, etc.

Moving this to the app since in my opinion the problem being reported by the user here is actually "Categories aren't working as I expect in the app".

Right now, categories are only surfaced to the user if they go out of their way to search for them. It's not really our priority to sort categories out right now.

The main problem I noticed, though, is that when I click a link to Wikipedia on my mobile device, the app is automatically loaded (or is suggested)

This makes the current issue a little more problematic, in my view. Short of forcing your phone to not load the app on specifically category pages (and users will likely not know or remember to do that selectively) it's almost impossible to view categories on the phone.

Is there a way to block the app for the moment on category pages? iirc it works with recognizing all wikipedia links, but maybe there's a way to disable that selectively until this issue is resolved?

Deskana added subscribers: Krenair, bearND, Ragesoss.

Merged in another task about categories; the tasks were subtly different, but can both be tracked here.

Deskana triaged this task as Low priority.Mar 16 2015, 9:13 PM
MaxSem removed a subscriber: MaxSem.Aug 25 2015, 4:58 PM

just to emphasize that with the merger of task T87878 here, this feature request applies to both mobile website and app.

Would you mind elaborating why this is low priority? I looked at Trello but couldn't find any rationale. In the desktop, categories are a first-class navigational feature. Thanks.

Deskana removed a subscriber: Deskana.Sep 11 2015, 7:58 PM
kaldari removed a subscriber: kaldari.Sep 11 2015, 9:36 PM

As an editor active in a local chapter, I don't understand why this is low priority either. Serious research requires metadata that enables browsing, not just random Amazon-style suggestions. See my experience described at:

https://www.mediawiki.org/w/index.php?title=Topic:Sonpqrhfcmn2mgbr&topic_showPostId=soqhjsi6bpd31u4w&fromnotif=1#flow-post-soqhjsi6bpd31u4w

All this buzz about "use mobile" and "the next billion users", only to discover the mobile interface is more of a toy than a tool? How did this happen? Is this some sort of insurmountable technical challenge?